---
title: filterRes
slug: Web/SVG/Attribute/filterRes
tags:
  - NeedsExample
  - SVG
  - SVG Attribute
  - SVG Filter
---
<div>{{SVGRef}}{{deprecated_header}}</div>

<p><span class="seoSummary">The <strong><code>filterRes</code></strong> attribute indicates the width and height of the intermediate images in pixels of a filter primitive.</span></p>

<p>Take care when assigning a non-default value to this attribute. Too small of a value may result in unwanted pixelation in the result. Too large of a value may result in slow processing and large memory usage.<br>
 <br>
 Note that negative values or zero values disable the rendering of the element which referenced the filter.</p>

<p>Only one element is using this attribute: {{SVGElement("filter")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#Number-optional-number">&lt;number-optional-number&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;number-optional-number&gt;</code></dt>
 <dd>This value takes one or two values, the first one outlining the resolution in horizontal direction, the second one in vertical direction. If only one value is specified, it is used for both directions.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#FilterElementFilterResAttribute", "filterRes")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.filter.filterRes")}}</p>
